aboutsummaryrefslogtreecommitdiffstats
path: root/docs
diff options
context:
space:
mode:
authorJohn DeNisco <jdenisco@cisco.com>2019-10-29 10:40:09 -0400
committerJohn DeNisco <jdenisco@cisco.com>2019-10-29 10:41:30 -0400
commit73f725c63c4924b29ebd54a78208b93114183d06 (patch)
treeebe560153725778131809fdaf319945737dc286e /docs
parentd743dffcd0e423d796612119baa86b4c17641b98 (diff)
docs: Fix warning with sphinx build, add script to publish docs
Signed-off-by: John DeNisco <jdenisco@cisco.com> Change-Id: Ic17585bcb4196e5b0661104745f67d6a02ab6b3d
Diffstat (limited to 'docs')
-rw-r--r--docs/reference/cmdreference/interface/create_interface.rst2
-rwxr-xr-xdocs/scripts/publish-docs.sh72
2 files changed, 73 insertions, 1 deletions
diff --git a/docs/reference/cmdreference/interface/create_interface.rst b/docs/reference/cmdreference/interface/create_interface.rst
index 9aeae33e98b..fa50c6a626c 100644
--- a/docs/reference/cmdreference/interface/create_interface.rst
+++ b/docs/reference/cmdreference/interface/create_interface.rst
@@ -134,7 +134,7 @@ This command has several variations:
range of subinterfaces to handle a range of VLAN IDs.
- **create sub-interfaces** <*interface*> <*subId*> dot1q|dot1ad <*vlanId*>|any
[exact-match] - Use this command to explicitly specify the outer VLAN ID,
- or to make the VLAN ID different from the *subId*.
+ or to make the VLAN ID different from the *subId*.
- **create sub-interfaces** <*interface*> <*subId*> dot1q|dot1ad <*vlanId*>|any
inner-dot1q <*vlanId*>|any [exact-match] - Use this command to
specify the outer VLAN ID and the inner VLAN ID.
diff --git a/docs/scripts/publish-docs.sh b/docs/scripts/publish-docs.sh
new file mode 100755
index 00000000000..0a81dc07212
--- /dev/null
+++ b/docs/scripts/publish-docs.sh
@@ -0,0 +1,72 @@
+#!/bin/bash -ex
+
+# publish-docs.sh
+#
+# This sccript is used to publish the VPP User documents to
+# the FD.io Site.
+#
+# Arguments:
+#
+# $1: The main site repo user name
+# $2: The release branch name for example 1908, 1904 etc.
+
+# Some basic checks
+if [ ! -d "docs" ]; then
+ echo "This script is meant to be run from the root directory."
+ exit 1;
+fi
+
+if [ "$#" -ne 2 ]; then
+ echo "Please specify the site username and branch."
+ exit 1;
+fi
+
+# Get the workspace root
+WS_ROOT=$PWD
+
+# Get the VPP branch and username
+SITE_USERNAME=$1
+VPP_BRANCH=$2
+
+#Build the docs
+make docs-venv
+make docs
+
+# Clone the site repo
+rm -fr site
+git clone ssh://git@github.com/$SITE_USERNAME/site
+cd site
+git submodule update --init --recursive
+git remote add upstream ssh://git@github.com/FDio/site
+git remote -v
+git fetch upstream
+git merge -m "Publish the Docs" upstream/master
+
+# Get the version
+VERSION=`source $WS_ROOT/src/scripts/version`
+VERSION=${VERSION/"~"/"-"}
+
+# Create a branch for the commit
+git checkout -b $VERSION
+git branch
+
+# Copy the files to the appropriate directory
+SRC_DIR=../docs/_build/html/.
+if [ "$VPP_BRANCH" == "master" ]
+then
+ TARGET_DIR=./static/docs/vpp/master
+ rm -fr ./static/docs/vpp/master
+else
+ TARGET_DIR=./static/docs/vpp/v$VPP_BRANCH
+ rm -fr ./static/docs/vpp/$TARGET_DIR
+ mkdir -p ./static/docs/vpp/$TARGET_DIR
+fi
+
+cp -r $SRC_DIR $TARGET_DIR
+
+# Push the new docs
+git add "*"
+git commit -s -m "Publish docs from VPP $VERSION"
+git push origin "$VERSION"
+
+exit 0